Last modified: 2012-09-17 03:53:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37669 - notification-edit-talk-page request for clarification
notification-edit-talk-page request for clarification
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Echo (Other open bugs)
master
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
https://translatewiki.net/wiki/Thread...
: i18n
Depends on:
Blocks: gender messages 40292
  Show dependency treegraph
 
Reported: 2012-06-17 22:41 UTC by Siebrand Mazeland
Modified: 2012-09-17 03:53 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2012-06-17 22:41:26 UTC
A. A user on translatewiki.net has asked if GENDER is supported in message[1].


I have some some additional questions:
B. What's the link text of the diff link $3? A page title, so for example "User_talk:Siebrand"?
C. What does "formatted" mean in the description of $2?

[1] 'notification-edit-talk-page' => '$2 edited your talk page $3'

Documented as:
Format for displaying notifications of a user talk page being edited

*    $1 is the username of the person who edited, plain text.
*    $2 is the username of the person who edited, formatted.
*    $3 is a diff link, formatted.
Comment 1 Siebrand Mazeland 2012-08-22 10:35:21 UTC
Brion, Andrew? Are you both not involved in Echo anymore? Adding Terry on CC.
Comment 2 Alex Monk 2012-09-01 00:07:07 UTC
(In reply to comment #0)
> A. A user on translatewiki.net has asked if GENDER is supported in message[1].
> 
> [1] 'notification-edit-talk-page' => '$2 edited your talk page $3'

Yes.

> B. What's the link text of the diff link $3? A page title, so for example
> "User_talk:Siebrand"?

The 'diff' message in brackets, like this:

'(' . wfMessage( 'diff' )->escaped() . ')'

(from formatters/EditFormatter.php)

> C. What does "formatted" mean in the description of $2?

It's the HTML link to the user's page made with Linker::userLink. Take a look at function formatUser in formatters/NotificationFormatter.php.
Comment 3 Alex Monk 2012-09-01 00:11:41 UTC
Nemo_bis wants me to document this, reopening...
Comment 4 Siebrand Mazeland 2012-09-01 00:12:50 UTC
'(' . wfMessage( 'diff' )->escaped() . ')' is an i18n bug that should be reported and tracked separately.
Comment 5 Siebrand Mazeland 2012-09-01 00:14:10 UTC
(In reply to comment #4)
> '(' . wfMessage( 'diff' )->escaped() . ')' is an i18n bug that should be
> reported and tracked separately.

Could probably be solved by changing $3 to ($3) in the message...
Comment 6 Alex Monk 2012-09-01 00:21:35 UTC
Gerrit change #22283
Comment 7 Alex Monk 2012-09-01 12:00:54 UTC
Merged. You should probably open a separate bug for that hardcoded brackets problem.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links